Package org.wso2.carbon.proxyadmin.stub.types.synapse

# Class Exception

java.lang.Object
org.wso2.carbon.proxyadmin.stub.types.synapse.Exception

All Implemented Interfaces:
  `Serializable`, `org.apache.axis2.databinding.ADBBean`

public class Exception extends Object implements org.apache.axis2.databinding.ADBBean
Exception bean class

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Exception.Factory`
  Factory class that keeps the parse method

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `localException`
  field for Exception
  `protected boolean`
  `localExceptionTracker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Exception()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getException()`
  Auto generated getter method
  `org.apache.axiom.om.OMElement`
  `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
  `XMLStreamReader`
  `getPullParser(QName qName)`
  databinding method to get an XML representation of this object
  `boolean`
  `isExceptionSpecified()`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
  `void`
  `setException(Object param)`
  Auto generated setter method

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### localException

    protected Object localException
    field for Exception

  - ### localExceptionTracker

    protected boolean localExceptionTracker

- ## Constructor Details

  - ### Exception

    public Exception()

- ## Method Details

  - ### isExceptionSpecified

    public boolean isExceptionSpecified()

  - ### getException

    public Object getException()
    Auto generated getter method
    Returns:
      java.lang.Object

  - ### setException

    public void setException(Object param)
    Auto generated setter method
    Parameters:
      `param` - Exception

  - ### getOMElement

    public org.apache.axiom.om.OMElement getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory) throws org.apache.axis2.databinding.ADBException
    Specified by:
      `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
    Parameters:
      `parentQName` -
      `factory` -
    Returns:
      org.apache.axiom.om.OMElement
    Throws:
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### getPullParser

    public XMLStreamReader getPullParser(QName qName) throws org.apache.axis2.databinding.ADBException
    databinding method to get an XML representation of this object
    Specified by:
      `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `org.apache.axis2.databinding.ADBException`